function toDataUrl(url, callback) {
    var xhr = new XMLHttpRequest();
    xhr.onload = function() {
        var reader = new FileReader();
        reader.onloadend = function() {
            callback(reader.result);
        }
        reader.readAsDataURL(xhr.response);
    };
    
    xhr.open('GET', url);
    xhr.responseType = 'blob';
    xhr.send();
}


//-----------PRODUCTION --------------
document.addEventListener('DOMContentLoaded', function() {
    document.getElementById("report_logo_span").addEventListener("click", reportWrongLogo);
  });
  // The handler also must go in a .js file
  function reportWrongLogo(){
    chrome.tabs.query({'active': true, 'currentWindow': true}, function (tabs) { 
        var website_url = tabs[0].url; 
        var status = 'WrongLogo';
        const Url = 'https://zfvep6ki5b.execute-api.us-east-1.amazonaws.com/staging/report-plugin-logo?url=' + String(website_url) + '&status=' + status
        const headers = {
            'oqtor-plugin-api': 'Kqzfz9fBgf95hYWK3GSKt8J8tNkXM5th4wblplOl'
        }
        var data = axios.get('https://cors-anywhere.herokuapp.com/'+ Url)
        .then(function(data){
            document.querySelector('.main').remove();
            var container = document.getElementById('wrong_logo');
            container.innerHTML += '感谢您的反馈！';
        })
    }) 
}



chrome.tabs.query({'active': true, 'currentWindow': true}, function (tabs) {
    var website_url = tabs[0].url;
    const Url = 'https://zfvep6ki5b.execute-api.us-east-1.amazonaws.com/staging/logo-finder-api?url=' + String(website_url)
    console.log('---- ' + Url +'----')
    const headers = {
        'oqtor-plugin-api': 'Kqzfz9fBgf95hYWK3GSKt8J8tNkXM5th4wblplOl'
    }
    var data = axios.get('https://cors-anywhere.herokuapp.com/'+ Url)
    .then(function(data){
        document.querySelector('.spinner').remove();
        if (data.data.response != null) {
            var container = document.getElementById("logo"),
                img = document.createElement("img");
                img.crossOrigin = 'Anonymous';
                img.src = data.data.response;

            container.appendChild(img);
            
            //create the download div as well
            //console.log(data.data.status); // ex.: 200
            var link = document.querySelector('#download_btn');

            toDataUrl(data.data.response, function(base64) {
                link.setAttribute('href', base64)
            });

        } else{ //if not logo found, remove the download button and just show "no logo found"
            var link = document.querySelector('#download_btn');
            link.remove()
            var container = document.getElementById('no_logo');
            container.innerHTML += '没有找到Logo';
        }        
        link.removeAttribute('disabled');
    }); 
});


/*
//------------LOCALHOST --------------

function reportWrongLogo(){
    website_url = 'www.aws.amazon.com'
    var status = 'WrongLogo';
    const Url = 'https://zfvep6ki5b.execute-api.us-east-1.amazonaws.com/staging/report-plugin-logo?url=' + String(website_url) + '&status=' + status
    console.log('---- ' + Url +'----')
    const headers = {
        'oqtor-plugin-api': 'Kqzfz9fBgf95hYWK3GSKt8J8tNkXM5th4wblplOl'
    }
    var data = axios.get('https://cors-anywhere.herokuapp.com/'+ Url)
    .then(function(data){
        document.querySelector('.main').remove();
        var container = document.getElementById('wrong_logo');
        container.innerHTML += 'Thank you for reporting the issue. Your logo will be manually added';
    })
}

website_url = 'https://www.aws.amazon.com'
const Url = 'https://zfvep6ki5b.execute-api.us-east-1.amazonaws.com/staging/logo-finder-api?url=' + String(website_url)
const headers = {
    'oqtor-plugin-api': 'Kqzfz9fBgf95hYWK3GSKt8J8tNkXM5th4wblplOl'
}
var data = axios.get('https://cors-anywhere.herokuapp.com/'+ Url)
.then(function(data){
    document.querySelector('.spinner').remove();
    if (data.data.response != null) {
        var container = document.getElementById("logo"),
            img = document.createElement("img");
            img.crossOrigin = 'anonymous';
            img.src = data.data.response;
        container.appendChild(img);
        
        //create the download div as well
        //console.log(data.data.status); // ex.: 200
        var link = document.querySelector('#download_btn');
        toDataUrl(data.data.response, function(base64) {
            link.setAttribute('href', base64)
        });

    } else{ //if not logo found, remove the download button and just show "no logo found"
        var link = document.querySelector('#download_btn');
        link.remove()
        var container = document.getElementById('no_logo');
        container.innerHTML += 'No Logo Found';
    }        
    link.removeAttribute('disabled');
}); 
*/

